<div class="grid-container">
  <div fxLayout="row wrap" fxLayoutGap="16px grid">
    <div flex="100%">
      <button mat-flat-button (click)="onAddRecipe()">new Recipe</button>
    </div>
  </div>
  <!-- ! bei hinzufügen progressbar mit 100 % füllen als effect des erstellens -->
  <mat-progress-bar
    mode="determinate"
    value="0"
    class="line"
  ></mat-progress-bar>
  <mat-form-field class="example-chip-list" appearance="fill">
    <mat-label>Favorite Tags</mat-label>
    <mat-chip-list #chipList aria-label="Fruit selection">
      <mat-chip
        *ngFor="let tag of tags"
        [selectable]="selectable"
        [removable]="removable"
        (removed)="remove(tag)"
      >
        {{ tag }}
        <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
      </mat-chip>
      <input
        placeholder="New tag..."
        #tagInput
        [formControl]="tagCtrl"
        [matAutocomplete]="auto"
        [matChipInputFor]="chipList"
        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
        (matChipInputTokenEnd)="add($event)"
      />
    </mat-chip-list>
    <mat-autocomplete
      #auto="matAutocomplete"
      (optionSelected)="selected($event)"
    >
      <mat-option *ngFor="let tag of filteredTags | async" [value]="tag">
        {{ tag }}
      </mat-option>
    </mat-autocomplete>
  </mat-form-field>
  <div fxLayout="row wrap" class="test-100" fxLayoutGap="16px grid">
    <cdk-virtual-scroll-viewport itemSize="200" class="example-viewport">
      <div
        class="test example-item"
        *cdkVirtualFor="let recipe of recipes | async"
        flex="25%"
        flex.xs="100%"
        flex.sm="33%"
      >
        <mat-card
          class="example-card example-ripple-container"
          matRipple
          (click)="onSelected(recipe)"
        >
          <div>
            <mat-card-header>
              <div
                mat-card-avatar
                class="example-header-image"
                [ngStyle]="{
                  'background-image': 'url(' + recipe.image + ')'
                }"
              ></div>
              <!-- <div mat-card-avatar><mat-icon>menu_book</mat-icon></div> -->
              <mat-card-title>{{ recipe.title }}</mat-card-title>
              <mat-card-subtitle
                [innerHTML]="getSummaryPreview(recipe)"
              ></mat-card-subtitle>
            </mat-card-header>
            <!-- <img mat-card-image [src]="recipe.imagePath" [alt]="recipe.name" /> -->
            <mat-card-content class="dashboard-card-content">
              <mat-chip-list aria-label="Fish selection">
                <mat-chip *ngIf="recipe.vegetarian">
                  {{ allTags.getVegie().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.vegan" color="primary" selected>
                  {{ allTags.getVegan().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.glutenFree">
                  {{ allTags.getGluten().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.dairyFree">
                  {{ allTags.getDairy().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.veryHealthy">
                  {{ allTags.getHealthy().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.cheap">
                  {{ allTags.getCheap().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.veryPopular">
                  {{ allTags.getPopular().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.sustainable">
                  {{ allTags.getSustain().getFullName() }}
                </mat-chip>
                <mat-chip *ngIf="recipe.lowFodmap">
                  {{ allTags.getLow().getFullName() }}
                </mat-chip>
              </mat-chip-list>
            </mat-card-content>
            <!--           
            <mat-card-actions>
            <button mat-button>LIKE</button>
            <button mat-button>SHARE</button>
          </mat-card-actions>
         -->
          </div>
        </mat-card>
      </div>
    </cdk-virtual-scroll-viewport>
  </div>
</div>
